Skip to content
PATCH /integrated-account/{integrated_account_id}/mcp/{id}

Path Parameters

integrated_account_idstring · uuid
required·

The ID of the integrated account.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
idstring · uuid
required·

The ID of the MCP server to update.

Example: 2ba1f401-7183-47c5-9e39-e8e257e3c796

Request Body

configobject

Updated configuration settings for the MCP server

methodsstring[]

The methods allowed for this server.

Example: ["GET","POST","READ","DOWNLAOD"]
tagsstring[]

The tags associated with this server.

Example: ["api","webhook","custom"]
namestring

The new name for the MCP server.

Example: Updated MCP server

Response Body

configobject

Updated configuration settings for the MCP server

methodsstring[]

Updated list of HTTP methods allowed for this server

tagsstring[]

Updated List of tags associated with this server

created_atstring · date-time

Timestamp when the MCP server was created

idstring · uuid

Unique identifier for the MCP server

namestring

Updated name of the MCP server

updated_atstring · date-time

Timestamp when the MCP server was last updated

curl -X PATCH 'https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Updated MCP server",
  "config": {}
}'
const body = {
  "name": "Updated MCP server",
  "config": {}
};

const response = await fetch('https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/integrated-account/{integrated_account_id}/mcp/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "name": "Updated MCP server",
    "config": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())